package api

const (
	Base          = "/api"
	SingleUser    = Base + "/single_user"
	Image         = Base + "/image"
	ImageField    = Image + "/:flake"
	ImageFile     = ImageField + "/file"
	ImagePreview  = ImageField + "/preview"
	ImageTag      = ImageField + "/tag"
	ImageTagField = ImageTag + "/:tag"
	Tag           = Base + "/tag"
	TagField      = Tag + "/:tag"
	TagInfo       = TagField + "/info"
	TagPage       = TagField + "/page"
	TagPageField  = TagPage + "/:entry"
	TagPageImage  = TagPageField + "/image"
	Page          = Base + "/page"
	PageField     = Page + "/:entry"
	PageImage     = PageField + "/image"
	Search        = Base + "/search"
	SearchField   = Search + "/:tags"
	User          = Base + "/user"
	UserThis      = User + "/this"
	UserField     = User + "/:flake"
	UserSecret    = UserField + "/secret"
	UserImage     = UserField + "/image"
	UserPassword  = UserField + "/password"
	Username      = Base + "/username"
	UsernameField = Username + "/:name"
	UsernameAuth  = UsernameField + "/auth"
)
