package api

type UserPayload struct {
	Username   string `json:"username"`
	ID         string `json:"id"`
	Privileged bool   `json:"privileged"`
}

type UserCreatePayload struct {
	Username   string `json:"username"`
	Password   string `json:"password"`
	Privileged bool   `json:"privileged"`
}

type UserUpdatePayload struct {
	Username string `json:"username"`
}

type TagUpdatePayload struct {
	Type string `json:"type"`
}

type ImageUpdatePayload struct {
	Source string `json:"source"`
}
